Change log for python-central package in Ubuntu

170 of 70 results
Deleted in trusty-release (Reason: python-central is obsolete)
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Published in precise-updates on 2012-05-06
Obsolete in quantal-release on 2015-04-24
Deleted in precise-proposed (Reason: moved to -updates)
python-central (0.6.17ubuntu2) precise-proposed; urgency=low

  * Fix pycentral rtremove command. LP: #955936.
 -- Matthias Klose <email address hidden>   Mon, 30 Apr 2012 23:08:13 +0200

Available diffs

Superseded in quantal-release on 2012-05-05
Published in precise-release on 2012-04-20
python-central (0.6.17ubuntu1) precise; urgency=low

  * Update for newer multiarch dpkg layout (/var/lib/dpkg/info/$arch/$pkg.list
    instead of /var/lib/dpkg/info/$pkg.list).
    Only used when PYCENTRAL_NO_DPKG_QUERY is set. LP: #986233.
 -- Matthias Klose <email address hidden>   Fri, 20 Apr 2012 18:02:57 +0200

Available diffs

Superseded in precise-release on 2012-04-20
Superseded in precise-release on 2011-12-17
Obsolete in oneiric-release on 2015-04-24
python-central (0.6.17) unstable; urgency=medium

  * The use of python-central / dh_pycentral is depreated. Please use
    dh_python2 instead.

  * Add 2.7 as known python version.
  * Fix up for multiarch dpkg: /var/lib/dpkg/info/$pkg.list is now no longer
    guaranteed to exist, it may be /var/lib/dpkg/info/$arch/$pkg.list
    (Steve Langasek).

Available diffs

Superseded in oneiric-release on 2011-05-20
Obsolete in natty-release on 2013-06-04
python-central (0.6.15ubuntu5) natty; urgency=low

  * Mmh, fix up a wrong split() in the get_arch method.
 -- Steve Langasek <email address hidden>   Mon, 28 Feb 2011 21:04:31 -0800

Available diffs

Superseded in natty-release on 2011-03-01
python-central (0.6.15ubuntu4) natty; urgency=low

  * Fix up for multiarch dpkg: /var/lib/dpkg/info/$pkg.list is now no longer
    guaranteed to exist, it may be /var/lib/dpkg/info/$arch/$pkg.list.
 -- Steve Langasek <email address hidden>   Mon, 28 Feb 2011 20:16:17 -0800

Available diffs

Superseded in natty-release on 2011-03-01
python-central (0.6.15ubuntu3) natty; urgency=low

  * Version bump for Python 2.7 (LP: #664540)
 -- Barry Warsaw <email address hidden>   Thu, 21 Oct 2010 10:47:35 -0400

Available diffs

Superseded in natty-release on 2010-11-02
Obsolete in maverick-release on 2013-03-05
python-central (0.6.15ubuntu2) maverick; urgency=low

  * pycentral.py:
    - do not crash if dpkg returns lines on stderr that can
      not be parsed (happens e.g. when the status file contains
      a package without a Maintainer)
 -- Michael Vogt <email address hidden>   Fri, 10 Sep 2010 08:56:59 +0200

Available diffs

Superseded in maverick-release on 2010-09-10
Obsolete in lucid-release on 2016-10-26
python-central (0.6.15ubuntu1) lucid; urgency=low

  * Merge with Debian; remaining changes:
    - pycentral rtinstall: Keep the workaround to install for an
      unsupported runtime.
    - Code change compared to 0.6.11ubuntu13: Add trigger
      `cleanup-pkgprepare-updates'.

Available diffs

Superseded in lucid-release on 2010-03-31
python-central (0.6.11ubuntu13) lucid; urgency=low

  * Skip comments when parsing debian/control; thanks Michael Vogt;
    LP: #507842.
 -- Loic Minier <email address hidden>   Wed, 10 Feb 2010 13:45:32 +0100

Available diffs

Superseded in lucid-release on 2010-02-10
python-central (0.6.11ubuntu12) lucid; urgency=low

  * dh_pycentral: when parsing debian/control, strip trailing spaces, skip
    empty lines before the first paragraphs, and only search for
    XS-Python-Version in the general paragraph (the first one, for the source
    package); see Debian #567941.
  * dh_pycentral: when parsing debian/pyversions, skip and strip newlines.
 -- Loic Minier <email address hidden>   Sun, 07 Feb 2010 17:01:24 +0100

Available diffs

Superseded in lucid-release on 2010-02-07
python-central (0.6.11ubuntu11) lucid; urgency=low

  * dh_pycentral:
    - fix incorrect generation of python-version information
      if the control file contains a empty line before the
      Source stanza (LP: #507842)
 -- Michael Vogt <email address hidden>   Fri, 15 Jan 2010 11:03:11 +0100

Available diffs

Superseded in lucid-release on 2010-01-15
python-central (0.6.11ubuntu10) lucid; urgency=low

  * Code cleanups and misc fixes; thanks Piotr Ozarowski.
     - Convert tabs to spaces, drop trailing spaces.
     - Remove import statements for now unused modules.
     - get_debian_config(): Remove exception expression.
     - DebPackage.prepare(): Initialize local variable.
     - pycentral bccompile: Access pkg and private_dirs in class
       scope.
     - parse_options(): Fix strlist typo.
     - DebPackage.move_files(): Rename srctop/srctop2 to srcdtop/srcdtop2,
       add version information to exception messages.
 -- Loic Minier <email address hidden>   Fri, 04 Dec 2009 14:25:27 +0100

Available diffs

Superseded in lucid-release on 2009-12-04
Obsolete in karmic-release on 2013-03-04
python-central (0.6.11ubuntu9) karmic; urgency=low

  * Call py3_compilefiles when byte-compiling for python3.x.
    LP: #366304, #435003.
  * Fix pycentral debhelper failure, when there are files in the root
    directory of a package. Closes: #533758.

 -- Matthias Klose <email address hidden>   Sun, 11 Oct 2009 19:14:13 +0200

Available diffs

Superseded in karmic-release on 2009-10-11
python-central (0.6.11ubuntu8) karmic; urgency=low

  * Silence warning about unsuppoert python3.x. LP: #429857.

 -- Matthias Klose <email address hidden>   Tue, 22 Sep 2009 23:20:10 +0200

Available diffs

Superseded in karmic-release on 2009-09-22
Obsolete in jaunty-release on 2013-02-28
python-central (0.6.11ubuntu7) jaunty; urgency=low

  * When the rtinstall action runs, do not check the support
    status of the runtime but byte-compile anyway. This fixes
    the problem that python2.6-minimal gets installed before
    the /usr/share/python/debian_defaults file gets updated
    and has python2.6 as supported (LP: #357884)

 -- Michael Vogt <email address hidden>   Wed, 15 Apr 2009 16:09:42 +0200

Available diffs

Superseded in jaunty-release on 2009-04-17
python-central (0.6.11ubuntu6) jaunty; urgency=low

  * fix logic in get_installed_runtime() to not error when a
    new runtime gets installed (LP: #354228).

    the root of the problem is that the debian_defaults file is not yet
    the jaunty version when python2.6-minimal gets installed and pycentral
    errors on versions it has no explicit knowledge about (from
    debian_defaults)

 -- Michael Vogt <email address hidden>   Fri, 03 Apr 2009 09:42:57 +0200

Available diffs

Superseded in jaunty-release on 2009-04-03
python-central (0.6.11ubuntu5) jaunty; urgency=low

  * pycentral.py:
    - when detecting already existing files check if those
      are local installs (via setup.py) or file conflicts from
      other packages and give a meaningful error message
      (LP: #347939)

 -- Michael Vogt <email address hidden>   Wed, 25 Mar 2009 17:19:39 +0100

Available diffs

Superseded in jaunty-release on 2009-03-27
python-central (0.6.11ubuntu4) jaunty; urgency=low

  * revert the change for the Python-Version check
    in the preinst, causes more trouble than good

 -- Michael Vogt <email address hidden>   Fri, 13 Mar 2009 20:17:45 +0100

Available diffs

Superseded in jaunty-release on 2009-03-13
python-central (0.6.11ubuntu3) jaunty; urgency=low

  * re-add check for "Python-Version" in preinst
  * allow removal of package with no python-version

 -- Michael Vogt <email address hidden>   Wed, 11 Mar 2009 11:42:34 +0100

Available diffs

Superseded in jaunty-release on 2009-03-13
python-central (0.6.11ubuntu2) jaunty; urgency=low

  * dh_pycentral: Autodetect more stuff in /usr/local.

 -- Matthias Klose <email address hidden>   Tue, 24 Feb 2009 19:15:31 +0100

Available diffs

Superseded in jaunty-release on 2009-02-24
python-central (0.6.11ubuntu1) jaunty; urgency=low

  * Merge with Debian; remaining changes:
    - Keep the changelog entries.
  * Work around missing value in pkgconfig file. LP: #332532.

 -- Matthias Klose <email address hidden>   Sat, 21 Feb 2009 16:39:30 +0100

Available diffs

Superseded in jaunty-release on 2009-02-21
python-central (0.6.9ubuntu4) jaunty; urgency=low

  * dh_pycentral: Handle special characters in package name (Alexander
    Achenbach). Closes: #494290.
  * Add support for reporting pycentral-managed files to cruft, adding
    new commands pkglist and list (Gabriel de Perthuis). Closes: #494016.
  * Don't be verbose about using older python versions. Closes: #403872.
  * pycentral: Add names of overwritten local files. Closes: #489977.
  * /usr/share/pycentral-data/pycentral.mk: makefile macros (currently
    just sitedir).
  * Fix handling of `:' and `=' characters in file names.

 -- Matthias Klose <email address hidden>   Sat, 21 Feb 2009 09:11:03 +0100

Available diffs

Superseded in jaunty-release on 2009-02-21
python-central (0.6.9ubuntu3) jaunty; urgency=low

  * Enable the option to include the symbolic links to sys.path in
    the package (calling DH_PYCENTRAL=include-links dh_pycentral).
  * Merge the pyversions.py code with the version in python-defaults.

 -- Matthias Klose <email address hidden>   Fri, 20 Feb 2009 15:01:58 +0100

Available diffs

Superseded in jaunty-release on 2009-02-20
python-central (0.6.9ubuntu2) jaunty; urgency=low

  * Re-include lost debhelper template file.

 -- Matthias Klose <email address hidden>   Thu, 19 Feb 2009 14:58:29 +0100

Available diffs

Superseded in jaunty-release on 2009-02-19
python-central (0.6.9ubuntu1) jaunty; urgency=low

  * Ignore the pkgprepare option; packages which need to be available
    during upgrades should install directly into sys.path.

 -- Matthias Klose <email address hidden>   Tue, 17 Feb 2009 12:01:15 +0100

Available diffs

Obsolete in hardy-updates on 2015-04-24
Deleted in hardy-proposed on 2015-04-30 (Reason: moved to -updates)
python-central (0.6.7ubuntu0.1) hardy-proposed; urgency=low

  * Upload to hardy-proposed. LP: #237654.
  * Add infrastructure to remove generated files on upgrades to newer
    versions of a package not having files handled by python-central.
    See dh_pycentral(1).
  * Properly remove symlinks and bytecode files for old python versions.
    Closes: #409390.
  * pycentral rtremove: Don't rely on the status of a package reading
    the status file, use dpkg-query instead. LP: #225927.
  * pycentral updatedefault: Call py_compilefiles with `-f' for private
    modules.
  * dh_pycentral: Install the preinst script for packages having
    private modules; really closes: #477180.
  * dh_pycentral: Set Python-Version according to the public modules,
    if the package contains both private and public modules. Closes: #477566.
  * pyversions.py: Don't rely on /usr/bin/python being a symlink.
    Closes: #450591.

 -- Matthias Klose <email address hidden>   Thu, 05 Jun 2008 16:41:35 +0200

Available diffs

Superseded in jaunty-release on 2009-02-19
Obsolete in intrepid-release on 2013-02-20
python-central (0.6.7ubuntu1) intrepid; urgency=medium

  * Add a sequence file for debhelper v7 support.
  * Add infrastructure to remove generated files on upgrades to newer
    versions of a package not having files handled by python-central.
    See dh_pycentral(1).
  * Properly remove symlinks and bytecode files for old python versions.
    Closes: #409390.

 -- Matthias Klose <email address hidden>   Wed, 28 May 2008 10:45:04 +0200
Superseded in intrepid-release on 2008-05-28
python-central (0.6.6ubuntu1) intrepid; urgency=low

  * Merge with Debian.

Superseded in intrepid-release on 2008-04-30
Obsolete in hardy-release on 2015-04-24
python-central (0.6.5ubuntu1) hardy; urgency=low

  * Don't complain about absolute symlinks replaced by relative symlinks
    pointing to the pyshared directory. Might happen if a user runs
    symlinks -c, or a chroot is prepared for use with fakechroot (Ubuntu's
    apport retrace service runs in such an environment). LP: #204526.
  * Don't create preinst scripts, if the packages doesn't have any shared
    files.
  * On upgrade, remove byte-code files for private modules not existing
    anymore in a new version of a package. Closes: #476976.
  * pycentral pkgprepare: Skip package, if the required runtime is not
    yet installed. Closes: #476685.
  * pycentral version: New subcommand.

 -- Matthias Klose <email address hidden>   Tue, 22 Apr 2008 10:02:46 +0200
Superseded in hardy-release on 2008-04-22
python-central (0.6.1ubuntu3) hardy; urgency=low

  * pycentral rtremove: Try to remove runtime support for all packages,
    then fail if one or more packages did fail. Be more verbose.

 -- Matthias Klose <email address hidden>   Thu, 17 Apr 2008 21:47:09 +0200
Superseded in hardy-release on 2008-04-18
python-central (0.6.1ubuntu2) hardy; urgency=low

  * pycentral rtremove: Do not work on removed, but not purged packages.
    LP: #205470.
  * pycentral pkgprepare: Create the directory before creating a symlink
    there; not yet done when the package install previously failed and
    was retried. LP: #201978.

 -- Matthias Klose <email address hidden>   Fri, 04 Apr 2008 14:38:03 +0200
Superseded in hardy-release on 2008-04-04
python-central (0.6.1ubuntu1) hardy; urgency=low

  * Allow pyversions -s to succeed without having python-all in the
    package list.

 -- Matthias Klose <email address hidden>   Thu, 20 Mar 2008 19:08:33 +0100
Superseded in hardy-release on 2008-03-21
python-central (0.6.0ubuntu2) hardy; urgency=low

  * pycentral pkgprepare: Properly remove directories not found anymore
    in the new version of the package. LP: #201204.
  * dh_pycentral: Rename versioned .pth and .egg-info files, removing the
    python version unless DH_PYCENTRAL matches `norename'.
  * Warn about differing trees before moving files to the shared area.

 -- Matthias Klose <email address hidden>   Wed, 12 Mar 2008 17:29:45 +0100
Superseded in hardy-release on 2008-03-12
python-central (0.6.0ubuntu1) hardy; urgency=low

  * Bump version number to 0.6.x.

 -- Matthias Klose <email address hidden>   Wed, 12 Mar 2008 00:26:46 +0100
Superseded in hardy-release on 2008-03-12
python-central (0.5.63ubuntu1) hardy; urgency=low

  * pycentral pkgprepare: Skip complaining about files moved from
    /usr/lib/pythonX.Y/site-packages to the shared area.
  * dh_pycentral: Don't link shared files at preinstallation when
    DH_PYCENTRAL matches the value `noprepare'.

 -- Matthias Klose <email address hidden>   Mon, 10 Mar 2008 23:30:38 +0000
Superseded in hardy-release on 2008-03-11
python-central (0.5.62ubuntu4) hardy; urgency=low

  [Michael Vogt]
  * pycentral pkgprepare: Skip when upgrading from a package version
    not using python-central (showed on dapper->hardy upgrade testing).

  [Matthias Klose]
  * Check for file conflicts before starting to link shared files.

 -- Matthias Klose <email address hidden>   Fri, 07 Mar 2008 19:45:34 +0100
Superseded in hardy-release on 2008-03-09
python-central (0.5.62ubuntu3) hardy; urgency=low

  * If "/usr/share/python/debian_defaults" does not exists,
    raise a ValueError in read_default() (LP: #198456)

 -- Michael Vogt <email address hidden>   Wed, 05 Mar 2008 15:26:28 +0100
Superseded in hardy-release on 2008-03-05
python-central (0.5.62ubuntu2) hardy; urgency=low

  * Do not crash if no /usr/share/python/debian_defaults is on the
    system and assume python2.4 then. That was the last version
    without this file (LP: #198456)

 -- Michael Vogt <email address hidden>   Tue, 04 Mar 2008 19:44:20 +0100
Superseded in hardy-release on 2008-03-05
python-central (0.5.62ubuntu1) hardy; urgency=low

  * pkgprepare, pkginstall: Always use the default runtime as a last resort.
  * Handle updates gracefully, if the old package version has shared
    files already located in /usr/share/pyshared, and the new package has
    them still in the old location in /usr/share/pycentral. LP: #197841.
  * dh_pycentral: Remove an empty /usr/lib after moving all files.
    Closes: #452227.
  * Users tend to modify the /usr/bin/python symlink. Allow pythonX.Y
    and /usr/bin/pythonX.Y as values. Closes: #378146, #450491, #467372.
  * pycentral updatedefault: Fix name in error message. Closes: #432813.
  * pyversions.py: Assume no old and unsupported versions, when
    the python_defaults file is not yet installed. Closes: #405781.
  * dh_pycentral: Set file permissions independently of the umask.
    Closes: #398729.
  * Use a default value for supported python versions, if python-minimal
    is not installed, and apt-cache is not available. Closes: #394084, #397495.

 -- Matthias Klose <email address hidden>   Sun, 02 Mar 2008 12:15:01 +0100
Superseded in hardy-release on 2008-03-03
python-central (0.5.61ubuntu1) hardy; urgency=low

  * Don't try to use an unavailable runtime for `pkgprepare'.
    LP: #197160, #196984.
  * Duplicate the configuration information from the preinst file in
    /usr/share/pyshared-data/<package>. Avoids direct access to files in
    /var/lib/dpkg/info and avoids calls to dpkg-query.

 -- Matthias Klose <email address hidden>   Sat, 01 Mar 2008 17:45:58 +0100
Superseded in hardy-release on 2008-03-01
python-central (0.5.60ubuntu5) hardy; urgency=low

  * Fix byte code removal in private modules. LP: #196378.

 -- Matthias Klose <email address hidden>   Thu, 28 Feb 2008 10:13:15 +0100
Superseded in hardy-release on 2008-02-28
python-central (0.5.60ubuntu4) hardy; urgency=low

  * Don't crash on package upgrades from versions not using pycentral.
    LP: #195551.
  * Remove byte code for files in private modules, removed in the new version.

 -- Matthias Klose <email address hidden>   Wed, 27 Feb 2008 11:02:22 +0100
Superseded in hardy-release on 2008-02-27
python-central (0.5.60ubuntu3) hardy; urgency=low

  * Reenable the fix from 0.5.50ubuntu2 to allow installation of packages
    which were built with the broken dh_pycentral 0.5.50ubuntu1.
  * Allow overwriting of links pointing to the old /usr/share/pycentral
    directory.

Superseded in hardy-release on 2008-02-26
python-central (0.5.50ubuntu7) hardy; urgency=low

  * On upgrade, properly remove byte-code files not anymore in the
    new version of the package.

 -- Matthias Klose <email address hidden>   Wed, 20 Feb 2008 09:39:13 +0000
Superseded in hardy-release on 2008-02-20
python-central (0.5.50ubuntu6) hardy; urgency=low

  * Reenable byte-compilation for shared modules.
  * Revert change to pyversions.py from 0.5.50ubuntu2.

 -- Matthias Klose <email address hidden>   Tue, 19 Feb 2008 23:58:51 +0100
Superseded in hardy-release on 2008-02-20
python-central (0.5.50ubuntu5) hardy; urgency=low

  * do not crash if a package has private files

 -- Michael Vogt <email address hidden>   Tue, 19 Feb 2008 14:41:55 +0100
Superseded in hardy-release on 2008-02-19
python-central (0.5.50ubuntu4) hardy; urgency=low

  * fix crash when no [python-package] section is found
    in the header (thanks to Soren Hansen)
  * do not crash if the

 -- Michael Vogt <email address hidden>   Tue, 19 Feb 2008 12:29:47 +0100
Superseded in hardy-release on 2008-02-19
python-central (0.5.50ubuntu3) hardy; urgency=medium

  * dh_pycentral: Fix variable substitution in preinst autoscript
    for all cases. LP: #192992.

 -- Matthias Klose <email address hidden>   Tue, 19 Feb 2008 10:05:58 +0100
Superseded in hardy-release on 2008-02-19
python-central (0.5.50ubuntu2) hardy; urgency=low

  * fix crash in parse_versions (LP: #192992)

 -- Michael Vogt <email address hidden>   Tue, 19 Feb 2008 10:03:37 +0100
Superseded in hardy-release on 2008-02-19
python-central (0.5.50ubuntu1) hardy; urgency=low

  * Keep public modules available during upgrades.

 -- Matthias Klose <email address hidden>   Sat, 16 Feb 2008 17:21:57 +0000
Superseded in hardy-release on 2008-02-17
python-central (0.5.15ubuntu3) hardy; urgency=low

  * pycentral.py:
    - if the PYCENTRAL_NO_DPKG_QUERY environment is set
      pycentral will not use dpkg-query (needed for
      dapper->hardy upgrades where dpkg-query might be
      confused about triggers information in the status
      file)
  * debian/control:
    - remove dpkg pre-depend, the upgrader can run with
      PYCENTRAL_NO_DPKG_QUERY

 -- Michael Vogt <email address hidden>   Wed, 21 Nov 2007 15:25:03 +0100
Superseded in hardy-release on 2007-11-21
Obsolete in gutsy-release on 2011-09-16
python-central (0.5.15ubuntu2) gutsy; urgency=low

  * debian/control:
    - add pre-depends on dpkg with trigger support (LP: #148930)

 -- Michael Vogt <email address hidden>   Fri, 05 Oct 2007 17:58:13 +0200
Superseded in gutsy-release on 2007-10-05
python-central (0.5.15ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable. (LP: #133078, #134994)
  * Remaining Ubuntu changes:
    - Depends: python (>= 2.4.3-10).
    - Adjust conflict versions for edgy.

Superseded in gutsy-release on 2007-08-29
python-central (0.5.14ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:
    - Depends: python (>= 2.4.3-10).
    - Adjust conflict versions for edgy.

 -- Matthias Klose <email address hidden>   Wed, 23 May 2007 12:52:33 +0200
Superseded in gutsy-release on 2007-05-23
Obsolete in feisty-release on 2009-08-20
python-central (0.5.12ubuntu4) feisty; urgency=low

  * Add a sanity check, that /usr/bin/python points to the default
    python version. Users tend to modify this symlink, which then
    breaks stuff in obscure ways. Ubuntu #75557, Debian #418002.

 -- Matthias Klose <email address hidden>   Fri,  6 Apr 2007 17:06:21 +0200
Superseded in feisty-release on 2007-04-10
python-central (0.5.12ubuntu3) feisty; urgency=low

  * pycentral.py: Before creating a symlink, try to unlink the target to
    ensure that it really does not exist. This makes pycentral work with
    fakechroot's weird treatment of symbolic links.

 -- Martin Pitt <email address hidden>   Tue, 27 Mar 2007 11:00:57 +0200
Superseded in feisty-release on 2007-03-27
python-central (0.5.12ubuntu2) feisty; urgency=low

  * py_compilefiles: Add option to ignore errors.
  * pycentral: Use it for runtime installation.

 -- Matthias Klose <email address hidden>   Mon,  5 Mar 2007 15:06:23 +0100
Superseded in feisty-release on 2007-03-05
python-central (0.5.12ubuntu1) feisty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Depends: python (>= 2.4.3-10)
    - "adjust conflict versions for edgy"

Superseded in feisty-release on 2006-12-12
python-central (0.5.10ubuntu1) feisty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Depends: python (>= 2.4.3-10)
    - "adjust conflict versions for edgy"

Superseded in feisty-release on 2006-11-22
Obsolete in edgy-release on 2008-06-19
python-central (0.5.6ubuntu2) edgy; urgency=low

  * On runtime installation and removal, skip packages not
    built for this runtime. Ubuntu #56779, #64604.
  * Read the runtime version information for package and runtime
    removal.
  * On package removal, consider all runtimes, not just the supported.
  * Copy symlinks to directories instead of creating an empty directory.
    Closes: #383686.
  * prerm-pycentral: On package removal without installed python-central,
    ignore already removed directories.

 -- Matthias Klose <email address hidden>   Tue, 17 Oct 2006 12:30:58 +0200
Superseded in edgy-release on 2006-10-17
python-central (0.5.6ubuntu1) edgy; urgency=low

  * Merge with Debian unstable; adjust conflict versions for edgy.
  *

 -- Matthias Klose <email address hidden>   Fri,  6 Oct 2006 13:12:13 +0200
Superseded in edgy-release on 2006-10-06
python-central (0.5.5ubuntu4) edgy; urgency=low

  * pyversions.py:
    - be more robust when upgrading (lp: #56779)

 -- Michael Vogt <email address hidden>   Wed,  4 Oct 2006 13:37:17 +0200
Superseded in edgy-release on 2006-10-04
python-central (0.5.5ubuntu3) edgy; urgency=low

  * pycentral.py:
    - fix upgrade issue when there are no "old-versions" yet (lp: #61892)

 -- Michael Vogt <email address hidden>   Mon, 25 Sep 2006 12:36:03 +0200
Superseded in edgy-release on 2006-09-25
python-central (0.5.5ubuntu2) edgy; urgency=low

  * pyversions.py:
    - update content to be the same as the version in python-defaults
  * pycentral.py:
    - ensuring that python-central take its own version of pyversions.py
      by default instead of the one from python-minimal

 -- Michael Vogt <email address hidden>   Wed, 20 Sep 2006 19:13:15 +0200
Superseded in edgy-release on 2006-09-20
python-central (0.5.5ubuntu1) edgy; urgency=low

  * deal with old versions

 -- Michael Vogt <email address hidden>   Tue, 19 Sep 2006 21:25:18 +0200
Superseded in edgy-release on 2006-09-20
python-central (0.5.5) unstable; urgency=low

  * Update pycentral(1). Closes: #382157.

Superseded in edgy-release on 2006-08-15
Superseded in edgy-release on 2006-07-04
python-central (0.5.1) unstable; urgency=low

  [ Bastian Kleineidam ]
  * Remove log file on purge (Closes: #375385)
  * Quote minus signs in pycentral.1 (Closes: #375716)
  * Allow overwrite of local files. Set overwrite-local=1 in
    /etc/python/debian_config for this. (Closes: #375718)
  * Lintian fixes:
    - build-depend on debhelper >= 5
    - added py_compilefiles man page
    - changelog syntax corrected
    - remove #! scripts line from pyversions.py

 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  30 Jun 2006 13:30:13 +0100
Superseded in edgy-release on 2006-06-30
Superseded in edgy-release on 2006-06-30
python-central (0.5.0) unstable; urgency=low

  * Provide hooks in /usr/share/python/runtime.d/ for installation, removal
    and upgrade of a runtime. Avoids dependency of the runtimes on
    python-central. Closes: #372658.

Superseded in edgy-release on 2006-06-25
Superseded in edgy-release on 2006-06-21
python-central (0.4.17ubuntu1) edgy; urgency=low

  * Resynchronize with Debian unstable.

 -- Matthias Klose <email address hidden>   Thu, 15 Jun 2006 21:35:03 +0200
Superseded in edgy-release on 2006-06-16
python-central (0.4.16ubuntu1) edgy; urgency=low

  * Depend on the first version of the python package including
    the pyversions script (2.4.3-1ubuntu1).

 -- Matthias Klose <email address hidden>   Thu, 15 Jun 2006 18:05:36 +0000
170 of 70 results